/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PtovtaEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresa;
import com.rjconsultores.ventaboletos.service.PtovtaEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaEmpresaService")
public class PtovtaEmpresaServiceImpl implements PtovtaEmpresaService {

    @Autowired
    private PtovtaEmpresaDAO ptovtaEmpresaDAO;

    public List<PtovtaEmpresa> obtenerTodos() {
        return ptovtaEmpresaDAO.obtenerTodos();
    }

    public PtovtaEmpresa obtenerID(Integer id) {
        return ptovtaEmpresaDAO.obtenerID(id);
    }

    @Transactional
    public PtovtaEmpresa suscribir(PtovtaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaEmpresaDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaEmpresa actualizacion(PtovtaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaEmpresaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaEmpresa entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaEmpresaDAO.actualizacion(entidad);
    }

    public List<PtovtaEmpresa> buscar(PtovtaEmpresa ptovtaEmpresa) {
        return ptovtaEmpresaDAO.buscar(ptovtaEmpresa);
    }

    public void borrarFisico(PtovtaEmpresa pto) {
        ptovtaEmpresaDAO.borrarFisico(pto);
    }
}
